> For the complete documentation index, see [llms.txt](https://docs.apex.win/apex-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apex.win/apex-docs/developer-guide/smart-contracts/smart-wallet-factory.md).

# Smart Wallet Factory

The SmartWalletFactory is deployed on xDai at `0x68410B166Deb9AB9Aff99d3efFE32bd2940c84eA`

The source code can be found at [SmartWallet.sol](https://github.com/perpfutui/perpetual-limit-orders/blob/main/contracts/SmartWallet.sol)

## Functions

### spawn

```javascript
function spawn()
```

This function is called by users to generate a smart wallet. The smart wallet is a new contract that will be deployed. The user that calls this function will become the owner of the smart wallet.

It is not possible for users to spawn multiple smart wallets.

It is possible to get the address of a users smart wallet by calling `getSmartWallet(address)`

### Whitelist

```javascript
function addToWhitelist(address _contract)
function removeFromWhitelist(address _contract)
```

These functions can only be called by the apex team. Smart wallets are only able to interact with whitelisted contracts.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apex.win/apex-docs/developer-guide/smart-contracts/smart-wallet-factory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
